// owlhybrid.h

#ifndef OWLHYBRID_H
#define OWLHYBRID_H

#include "owl.h"

#define SC_WIDTH 28

#ifdef WIN32

#ifdef __DLL
#define OWLHYBRIDAPI __declspec(dllexport)
#else // !__DLL
#define OWLHYBRIDAPI __declspec(dllimport)
#endif // __DLL
#else // ! WIN32
#define OWLHYBRIDAPI

#endif // WIN32

#ifdef __cplusplus
extern "C" {
#endif

  struct OWLStylus {
    int hwid;
    int id;
    int markers[2];
    float calib[SC_WIDTH];
  };

  OWLHYBRIDAPI void owlHybridInit(float frequency, float scale);

  OWLHYBRIDAPI void owlHybridUpdate(const unsigned char *comm, uint_t comm_size,
                                    const struct OWLMarker *markers, uint_t marker_count,
                                    struct OWLStylus *styluses, uint_t stylus_count);

  OWLHYBRIDAPI void owlHybridGetRigids(struct OWLRigid *rigids, uint_t rigid_count,
                                       struct OWLStylus *styluses, uint_t stylus_count);

  OWLHYBRIDAPI void owlHybridGetScalars(const struct OWLStylus *stylus, int stylus_count, char* buffer, uint_t buf_size, uint_t bytes_per_stylus);

#ifdef __cplusplus
}
#endif

#endif // OWLHYBRID_H
